package com.kingdee.eas.custom.compensation;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class SubmitShemeTemplateFactory
{
    private SubmitShemeTemplateFactory()
    {
    }
    public static com.kingdee.eas.custom.compensation.ISubmitShemeTemplate getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.ISubmitShemeTemplate)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("B75118A1") ,com.kingdee.eas.custom.compensation.ISubmitShemeTemplate.class);
    }
    
    public static com.kingdee.eas.custom.compensation.ISubmitShemeTemplate getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.ISubmitShemeTemplate)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("B75118A1") ,com.kingdee.eas.custom.compensation.ISubmitShemeTemplate.class, objectCtx);
    }
    public static com.kingdee.eas.custom.compensation.ISubmitShemeTemplate getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.ISubmitShemeTemplate)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("B75118A1"));
    }
    public static com.kingdee.eas.custom.compensation.ISubmitShemeTemplate getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.ISubmitShemeTemplate)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("B75118A1"));
    }
}